diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 81777cf..ff6db87 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -107,10 +107,10 @@ of effort. We would like to acknowledge and thank the following people:
 "William Burge"
 "Quentin Carpent        Robert Caviness        Bruce Char"
 "Ondrej Certik          Cheekai Chin           David V. Chudnovsky"
-"Gregory V. Chudnovsky  Josh Cohen             Christophe Conil"
-"Don Coppersmith        George Corliss         Robert Corless"
-"Gary Cornell           Meino Cramer           Claire Di Crescenzo"
-"David Cyganski"
+"Gregory V. Chudnovsky  James Cloos            Josh Cohen"
+"Christophe Conil       Don Coppersmith        George Corliss"
+"Robert Corless         Gary Cornell           Meino Cramer"
+"Claire Di Crescenzo    David Cyganski"
 "Nathaniel Daly         Timothy Daly Sr.       Timothy Daly Jr."
 "James H. Davenport     Didier Deshommes       Michael Dewar"
 "Jean Della Dora        Gabriel Dos Reis       Claire DiCrescendo"
diff --git a/changelog b/changelog
index e3d518e..5506f5a 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,8 @@
+20110905 jxc src/axiom-website/patches.html 20110905.01.jxc.patch
+20110905 jxc src/axiom-website/download.html add Gentoo notes by James Cloos
+20110905 jxc books/bookvol5 add James Cloos to credits
+20110905 jxc readme add James Cloos to credits
+20110905 jxc James Cloos <cloos@jhcloos.com> 
 20110904 tpd src/axiom-website/patches.html 20110904.01.tpd.patch
 20110904 tpd books/bookvolbib add Kendall Ken99a, Ken99b
 20110830 tpd src/axiom-website/patches.html 20110830.01.tpd.patch
diff --git a/readme b/readme
index 80290d2..649d447 100644
--- a/readme
+++ b/readme
@@ -200,10 +200,10 @@ at the axiom command prompt will prettyprint the list.
 "William Burge"
 "Quentin Carpent        Robert Caviness        Bruce Char"
 "Ondrej Certik          Cheekai Chin           David V. Chudnovsky"
-"Gregory V. Chudnovsky  Josh Cohen             Christophe Conil"
-"Don Coppersmith        George Corliss         Robert Corless"
-"Gary Cornell           Meino Cramer           Claire Di Crescenzo"
-"David Cyganski"
+"Gregory V. Chudnovsky  James Cloos            Josh Cohen"
+"Christophe Conil       Don Coppersmith        George Corliss"
+"Robert Corless         Gary Cornell           Meino Cramer"
+"Claire Di Crescenzo    David Cyganski"
 "Nathaniel Daly         Timothy Daly Sr.       Timothy Daly Jr."
 "James H. Davenport     Didier Deshommes       Michael Dewar"
 "Jean Della Dora        Gabriel Dos Reis       Claire DiCrescendo"
diff --git a/src/axiom-website/download.html b/src/axiom-website/download.html
index 466b518..e322e67 100644
--- a/src/axiom-website/download.html
+++ b/src/axiom-website/download.html
@@ -725,6 +725,24 @@ where alt is supposed to be meta. Add the following line
 in your .Xresources file
    </pre>
 
+  <h3>Gentoo</h3>
+   <pre>
+Since 2008 portage has added code to eliminate text relocations,
+executable stacks, writeable+executable segments, and .hash sections
+from ELF files. These need to be modified with these annotations:
+-RESTRICT="strip"
++RESTRICT="strip binchecks installsources"
+
++QA_TEXTRELS="opt/${P}/{algebra,autoload}/*.o opt/${P}/bin/AXIOMsys"
++QA_EXECSTACK="opt/${P}/{algebra,autoload}/*.o opt/${P}/bin/AXIOMsys"
++QA_WX_LOAD="opt/${P}/{algebra,autoload}/*.o opt/${P}/bin/AXIOMsys"
++QA_TEXTRELS="opt/${P}/{algebra,autoload}/*.o opt/${P}/bin/AXIOMsys"
++QA_TEXTRELS="opt/${P}/{algebra,autoload}/*.o opt/${P}/bin/AXIOMsys"
+
+James Cloos has published his ebuild at:
+http://cgit.freedesktop.org/~cloos/overlay/
+   </pre>
+
   <h3>OpenSuSE</h3>
    <pre>
 echo 0 >/proc/sys/kernel/exec_shield
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 1b4922c..8d8ff77 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3606,5 +3606,7 @@ books/bookvol9 treeshake compiler, remove package.lisp<br/>
 books/bookvol9 treeshake compiler<br/>
 <a href="patches/20110904.01.tpd.patch">20110904.01.tpd.patch</a>
 books/bookvolbib add Kendall Ken99a, Ken99b<br/>
+<a href="patches/20110905.01.jxc.patch">20110905.01.jxc.patch</a>
+src/axiom-website/download.html add Gentoo notes by James Cloos<br/>
  </body>
 </html>
